Subject: [bug#54796] [PATCH v3 22/22] build-system: Add 'rebar3-build-system'.

From: Hartmut Goebel <[email-masked]>
Date: Sat, 9 Apr 2022 18:28:58 +0200

Am 09.04.22 um 15:19 schrieb Maxime Devos:
> (standard-packages) needs to be in 'build-inputs', at least according
> to 'lower' in (guix build-system gnu).

Build-systems are inconsistent here: texlive, ruby, python have them in 
host-inputs. gnu, cmake, qt have them in build-inputs. Seems like thus 
generating platform independent code tend to have it in host, the others 
in build.

Can you elaborate the criteria which to choose? (I also just created 
https://issues.guix.gnu.org/54820 for this)

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |